×

INDI Library v1.9.6 Released (21 May 2022)

Bi-monthly INDI Library released with new drivers and bug fixes.

Canon EOS Ra

  • Posts: 19
  • Thank you received: 0

Canon EOS Ra was created by Ryan McMurray

Hello, I have a canon 6D and an eos Ra mirrorless. Ekos recognizes both cameras, but only pulls up the images into platesolve, focus, fits viewer and main page on the 6D and not for the ra. Is there a driver that I can install that will let me view with the ra? Thanks!
2 years 2 months ago #51586

Please Log in or Create an account to join the conversation.

Replied by Jasem Mutlaq on topic Canon EOS Ra

Maybe because the Ra uses CR3? in that case you need latest libraw installed as well.
Jasem Mutlaq
Support INDI & Ekos; Get StellarMate Astrophotography Gadget.
How to Submit Logs when you have problems?
Add your observatory info
2 years 2 months ago #51596

Please Log in or Create an account to join the conversation.

  • Posts: 19
  • Thank you received: 0

Replied by Ryan McMurray on topic Canon EOS Ra

Thanks!!! Have the issues been fixed with it breaking kstars when the new library has been installed? I am not a coder or serious computer guy. Haha. So i probably won’t do it unless they’re is something fairly simple for me to put into terminal on a MacBook Pro. Also, kstars is the best interface out there! Every other software should be modeled after kstars!
2 years 2 months ago #51608

Please Log in or Create an account to join the conversation.

  • Posts: 19
  • Thank you received: 0

Replied by Ryan McMurray on topic Canon EOS Ra

Now Im getting this error message with my Ra......
2 years 2 months ago #51611
Attachments:

Please Log in or Create an account to join the conversation.

Replied by Jasem Mutlaq on topic Canon EOS Ra

Yes that's most likely issue with using an older libraw version... will check what version available in the repository.
Jasem Mutlaq
Support INDI & Ekos; Get StellarMate Astrophotography Gadget.
How to Submit Logs when you have problems?
Add your observatory info
2 years 2 months ago #51660

Please Log in or Create an account to join the conversation.

  • Posts: 11
  • Thank you received: 1

Replied by Miles Chatterji on topic Canon EOS Ra

I am having the same issue with the regular EOS R, any advice would be a great help.
2 years 2 months ago #51834

Please Log in or Create an account to join the conversation.

  • Posts: 11
  • Thank you received: 1

Replied by Miles Chatterji on topic Canon EOS Ra

It looks like CR3 support is in libraw's latest snapshot that was released in October. The current stable release looks like it is 0.19.5 however the repos contain 0.17. Is there a best practice for upgrading just the libraw piece in conjunction with the rest of the stellarmate packages? I am comfortable downloading the snapshot and compiling it from source, however im not as familiar with Unbuntu as I am with other RHEL and RHEL clones. Is there a best way to verify that the system is using the snapshot, perhaps a "which libraw" command or a way to add the snapshot to a different path, and fallback by removing that path from $PATH, in order to avoid a complete restore from backup? I am curious to see if it works with CR3. This is currently my main camera, I would like to use it to compare to my previous 1300D aps-c photos.

There is a small work around however it looks. If I use my guide scope from polar alignment and object centering, then switch it over to guiding. I can use the EOS R by setting the preview to no, and the setting 1 to 1 photo sequences. Example setting 30 different individual single 3 minute exposures. This will still save each exposure to the cameras SD card, which can be processed. It is a pain not having a preview and test shots, especially considering my guid scope and cam are considerably wider FOV than the make scope, but it does work until libraw can be updated.

Thanks,
--Miles
2 years 2 months ago #51924

Please Log in or Create an account to join the conversation.

Replied by Jasem Mutlaq on topic Canon EOS Ra

I will update to the latest snapshot in a couple of days.
Jasem Mutlaq
Support INDI & Ekos; Get StellarMate Astrophotography Gadget.
How to Submit Logs when you have problems?
Add your observatory info
2 years 2 months ago #51930

Please Log in or Create an account to join the conversation.

  • Posts: 981
  • Thank you received: 374

Replied by Radek Kaczorek on topic Canon EOS Ra

Raspbian Buster provides version 0.19.2-2. Apparently this version does not support CR3 yet
--
Radek Kaczorek
Astroberry Server | Orion CT8 | Askar FRA 400 | NEQ6 (hypermod) | Atik 460EX | ASI 1600 | ASI 120MM | Atik EFW2
2 years 2 months ago #51950

Please Log in or Create an account to join the conversation.

  • Posts: 11
  • Thank you received: 1

Replied by Miles Chatterji on topic Canon EOS Ra

I found this thread over the same subject. indilib.org/forum/ccds-dslrs/5978-libraw-latest-for-cr3.html, I hope this is not more trouble for you than it is worth to get it into the repos, and functioning with the OS to the masses. Perhaps I should attempt a compile and rename to librawcr3 on my own as to not put anyone elses builds at risk? I am sorry for not finding this thread in the beginning, my search skills aren't very good.
2 years 2 months ago #52101

Please Log in or Create an account to join the conversation.

  • Posts: 11
  • Thank you received: 1

Replied by Miles Chatterji on topic Canon EOS Ra

So, this may be helpful to anyone else having the same issue. I was browsing the Repos and noticed that the newest LibRaw .0.19.6 with CR3 support are in the repos for all versions of the ubuntu/raspbian base, except for 16.04. I Have been using Stellar Mate v 1.3.0 which has a 16.04 base for several years. I found another SD card and put 1.5.1 on it and started setting it up and using it last night. CR3 and the EOS R work fine in this release. I ran into some other issues which I opened a ticket on, but I don't think they are directly related to CR3 so I wont include them in this thread. I think that for most people using 1.5.0 or 1.5.1 (using 19.04 base) with an EOS R/RA/RP will probably work fine. Check with the command lsb_release -a if you are on 16.04 this is probably the reason for now CR3 support, and I would suggest upgrading to a newer version of Stellar Mate OS.

Side Note, I realize looking back that the original question was for a Macbook Pro. I am not sure what needs to be done here to get CR3 support, if you are directly connecting your equipment to a macbook pro. I use my macbook pro to remotley connect to a stellar mate OS device, and since upgrading it to 1.5.1 I haven't had any issues using my MBP for all features. However these days I prefer to remote into the Stellar Mate OS device and setup everything on the device itself, that way I can disconnect and it will continue to run until finished, so I don't use kstars on my MBP so much anymore. I wish I could be of more help in that area.

--Miles
2 years 2 months ago #52434

Please Log in or Create an account to join the conversation.

  • Posts: 981
  • Thank you received: 374

Replied by Radek Kaczorek on topic Canon EOS Ra

You are referring to Ubuntu flavors. I don't think it applies to Rasbian Buster. It provides libraw version 0.19.2-2 or I'm missing something.
Could you give me any direction to Raspbian repositories which serve version 0.19.6? I would be glad to upgrade Astroberry with this version.
--
Radek Kaczorek
Astroberry Server | Orion CT8 | Askar FRA 400 | NEQ6 (hypermod) | Atik 460EX | ASI 1600 | ASI 120MM | Atik EFW2
2 years 2 months ago #52448

Please Log in or Create an account to join the conversation.

Time to create page: 0.250 seconds